xquery version "3.1";
(:~
 : rdf helper functions
 :
 : @author Stefan Hynek
 : @version 0.1
:)

module namespace rdf="https://sade.textgrid.de/ns/rdf";

import module namespace functx="http://www.functx.com";

import module namespace config="https://sade.textgrid.de/ns/config" at "config.xqm";

(:~
 : Get an rdf document from a textgrid-uri
 :)
declare function rdf:get-doc($uri as xs:string)
as document-node()*
{
  fn:doc(
    fn:concat(
      $config:sade-rdf,
      functx:substring-after-last($uri, ":"),
      ".xml"
    )
  )
};
